chcp 65001
@echo off

@rem This is first step erea
:first
set input_build =

echo -------------------------------------------------------------
echo This is a Setup batchfile to build bsso container.
echo First step: Build BSSO container on your PC.
echo Type "build" in place of input: .
echo -------------------------------------------------------------

color b0

set /P input_build="input:"


if %input_build%==build (
    echo docker build -t bsso:1.0 .
    docker build -t bsso:1.0 .
    echo The first step is successful!
    pause
    goto :second
) else (
    echo You are making a typo.
    echo So, the system will back to the first step.
    color 06
    pause
    goto :first
)

@rem This is second step erea
:second
set input_path =
set input_run =

echo ---------------------------------------------------------------------------------------------
echo This is a Setup batchfile to build bsso container.
echo Second step: Set your absolute path which has unzipped your XSim project files.
echo Type your absolute path which has unzipped your XSim project files in palce of input_path: .
echo ---------------------------------------------------------------------------------------------

color b0

set /P input_path="input_path:"

echo %input_path% <-The path entered
echo Enter "y" if the path entered is correct, or "n" if there is an error.
echo (If "n" is entered, the batchfile returns to the beginning of second step.)
set /P input_run="input_run:"
pause

if %input_run%==y (
    echo docker run -it --name simulator -v %input_path%:/home/OpenFOAM -p 8888:8888 --workdir /home/OpenFOAM bsso:1.0 /bin/bash
    docker run -it --name simulator -v %input_path%:/home/OpenFOAM -p 8888:8888 --workdir /home/OpenFOAM bsso:1.0 /bin/bash
    echo The Second step is successful!
    pause
    goto:third
) else if %input_run%==n (
    goto :second
) else (
    echo You are making a typo.
    echo So, the system will back to the second step.
    color 06
    pause
    goto :second
)

:third
echo =======================================================
echo This is the end of the operations in this batch file.
echo Thank you for your hard work!
echo =======================================================

color b0

pause





exit